Subject: Re: [PATCH 0/3] bonding: 3 fixes for 2.6.24

From: Jay Vosburgh <[email-masked]>
Date: Thu, 10 Jan 2008 12:50:46 -0800

Herbert Xu <[email-masked]> wrote:

>On Thu, Jan 10, 2008 at 09:51:44AM -0500, Andy Gospodarek wrote:
>>
>> That wasn't the only purpose, Herbert.  Making sure that calls to
>> dev_set_mac_address were called from process context was important at
>> the time of the coding as well since at least the tg3 driver took locks
>> that could not be taken reliably in soft-irq context.  Michael Chan
>> fixed this here:
>
>Sure, but where do you call that function while holding the bond lock?

	If I recall correctly, the problem was that tg3, et al, did
things that might sleep, and bonding was calling from a timer context,
which couldn't sleep.  It wasn't about the lock.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]